/**************/
/*** LAYOUT ***/
/**************/

/* Feed container */
#sb_instagram {
  width: 100%;
  margin: 0 auto;
  padding: 0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
#sb_instagram:after{
  content: "";
  display: table;
  clear: both;
}

/*********************/
/*** STYLE OPTIONS ***/
/*********************/
#sb_instagram.sbi_fixed_height{
  overflow: hidden;
  overflow-y: auto;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
#sb_instagram #sbi_images{
  width: 100%;
  float: left;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}


/* Cols */
#sb_instagram.sbi_col_1 #sbi_images .sbi_item{ width: 100%; }
#sb_instagram.sbi_col_2 #sbi_images .sbi_item{ width: 50%; }
#sb_instagram.sbi_col_3 #sbi_images .sbi_item{ width: 33.33%; }
#sb_instagram.sbi_col_4 #sbi_images .sbi_item{ width: 25%; }
#sb_instagram.sbi_col_5 #sbi_images .sbi_item{ width: 20%; }
#sb_instagram.sbi_col_7 #sbi_images .sbi_item{ width: 14.28%; }
#sb_instagram.sbi_col_8 #sbi_images .sbi_item{ width: 12.5%; }
#sb_instagram.sbi_col_9 #sbi_images .sbi_item{ width: 11.11%; }
#sb_instagram.sbi_col_10 #sbi_images .sbi_item{ width: 10%; }

/* Disable mobile layout */
#sb_instagram.sbi_col_1.sbi_disable_mobile #sbi_images .sbi_item{ width: 100%; }
#sb_instagram.sbi_col_2.sbi_disable_mobile #sbi_images .sbi_item{ width: 50%; }
#sb_instagram.sbi_col_3.sbi_disable_mobile #sbi_images .sbi_item{ width: 33.33%; }
#sb_instagram.sbi_col_4.sbi_disable_mobile #sbi_images .sbi_item{ width: 25%; }
#sb_instagram.sbi_col_5.sbi_disable_mobile #sbi_images .sbi_item{ width: 20%; }
#sb_instagram.sbi_col_6.sbi_disable_mobile #sbi_images .sbi_item{ width: 16.66%; }
#sb_instagram.sbi_col_7.sbi_disable_mobile #sbi_images .sbi_item{ width: 14.28%; }
#sb_instagram.sbi_col_8.sbi_disable_mobile #sbi_images .sbi_item{ width: 12.5%; }
#sb_instagram.sbi_col_9.sbi_disable_mobile #sbi_images .sbi_item{ width: 11.11%; }
#sb_instagram.sbi_col_10.sbi_disable_mobile #sbi_images .sbi_item{ width: 10%; }

/* Photos */
#sb_instagram .sbi_photo_wrap{
  position: relative;
  overflow: hidden;
}
#sb_instagram .sbi_photo {
  display: block;
  text-decoration: none;
}
#sb_instagram a,
#sb_instagram a:hover,
#sb_instagram a:focus,
#sb_instagram a:active{
  outline: none;
}
#sb_instagram img{
  display: block!important;
  padding: 0 !important;
  margin: 0 !important;
  max-width: 100% !important;
  opacity: 1 !important;
}
#sb_instagram .sbi_link{
  display: none;
  position: absolute;
  bottom: 0;
  right: 0;

  width: 100%;
  padding: 10px 0;
  background: rgba(0,0,0,0.5);
  text-align: center;
  color: #fff;
  font-size: 12px;
  line-height: 1.1;
}
#sb_instagram .sbi_link a{
  padding: 0 6px;
  text-decoration: none;
  color: #fff;
  font-size: 12px;
  line-height: 1.1;

  display: -moz-inline-stack;
  display: inline-block;
  vertical-align: top;
  zoom: 1;
  *display: inline;
}
#sb_instagram .sbi_link .sbi_lightbox_link{
  padding-bottom: 5px;
}
#sb_instagram .sbi_link a:hover,
#sb_instagram .sbi_link a:focus{
  text-decoration: underline;
}
#sb_instagram .sbi_photo_wrap:hover .sbi_link,
#sb_instagram .sbi_photo_wrap:focus .sbi_link{
  display: block;
}

/* Loader */
#sb_instagram .sbi_loader{
  position: relative;
  left: 50%;
  width: 16px;
  height: 16px;
  margin: 10px 0 10px -8px;
  background: url('../img/loader.png') no-repeat;
}

/* HEADER */
#sb_instagram .sb_instagram_header{
  float: left;
  clear: both;
  margin: 0 0 15px 0;
  padding: 0;
  line-height: 1.2;
  width: 100%;
}
#sb_instagram .sb_instagram_header a{
  float: left;
  display: block;
  /*width: 100%;*/
  min-width: 100%\9;
}
/* Header profile pic */
#sb_instagram .sbi_header_img{
  float: left;
  position: relative;
  width: 50px;
  margin: 0 0 0 -100% !important;
  overflow: hidden;

  -moz-border-radius: 40px;
  -webkit-border-radius: 40px;
  border-radius: 40px;
}
#sb_instagram .sbi_header_img img{
  float: left;
  margin: 0 !important;
  padding: 0 !important;
  border: none !important;
}
/* Profile pic hover */
#sb_instagram .sbi_header_img_hover{
  position: absolute;
  width: 100%;
  top: 0;
  bottom: 0;
  left: 0;
  text-align: center;
  color: #fff;
  background: rgba(0,0,0,0.75);

  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  filter: alpha(opacity=0);
  -moz-opacity: 0;
  -khtml-opacity: 0;
  opacity: 0;
  border-radius: 40px;
  transition: opacity 0.2s;
}
/* Fade the Instagram icon in when hovering on the header */
#sb_instagram .sb_instagram_header a:hover .sbi_header_img_hover,
#sb_instagram .sb_instagram_header a:focus .sbi_header_img_hover{
  opacity: 1;
}
#sb_instagram .sbi_header_img_hover .fa{
  position: absolute;
  top: 50%;
  margin-top: -10px;
  margin-left: -8px;
  font-size: 20px;
}
/* Header text */
#sb_instagram .sbi_header_text{
  float: left;
  width: 100%;
  padding-top: 5px;
}
#sb_instagram .sb_instagram_header a{
  text-decoration: none;
}
#sb_instagram .sbi_header_text .sbi_bio,
#sb_instagram .sbi_header_text h3{
  float: left;
  clear: both;
  width: auto;
  margin: 0 0 0 60px !important;
  padding: 0 !important;
}
#sb_instagram .sb_instagram_header h3{
  font-size: 16px;
  line-height: 1.3;
}
#sb_instagram .sb_instagram_header p{
  font-size: 13px;
  line-height: 1.3;
}
#sb_instagram .sb_instagram_header h3.sbi_no_bio{
  padding-top: 9px !important;
}
#sb_instagram .sbi_header_text img.emoji{
  margin-right: 3px !important;
}


/* Buttons */
#sb_instagram #sbi_load{
  float: left;
  clear: both;
  width: 100%;
  text-align: center;
}
#sb_instagram #sbi_load .sbi_load_btn,
#sb_instagram .sbi_follow_btn a{
  display: -moz-inline-stack;
  display: inline-block;
  vertical-align: top;
  zoom: 1;
  *display: inline;

  padding: 7px 14px;
  margin: 5px auto 0 auto;
  background: #333;
  color: #eee;
  border: none;
  color: #fff;
  text-decoration: none;
  font-size: 13px;
  line-height: 1.5;

  -moz-border-radius: 4px;
  -webkit-border-radius: 4px;
  border-radius: 4px;

  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
/* Follow button */
#sb_instagram .sbi_follow_btn{
  display: -moz-inline-stack;
  display: inline-block;
  vertical-align: top;
  zoom: 1;
  *display: inline;
  text-align: center;
}
#sb_instagram .sbi_follow_btn.sbi_top{
  display: block;
  margin-bottom: 5px;
}
#sb_instagram .sbi_follow_btn a{
  background: #517fa4;
  color: #fff;
}
#sb_instagram .sbi_follow_btn a:hover,
#sb_instagram .sbi_follow_btn a:focus,
#sb_instagram #sbi_load .sbi_load_btn:hover,
#sb_instagram #sbi_load .sbi_load_btn:focus{
  filter: alpha(opacity=85);
  opacity: 0.85;
}
#sb_instagram #sbi_load .fa,
#sb_instagram .sbi_follow_btn .fa{
  margin-bottom: -1px;
  margin-right: 7px;
  font-size: 15px;
}
#sb_instagram #sbi_load .sbi_follow_btn{
  margin-left: 5px;
}


/* Mod only error msgs */
#sbi_mod_error{
  display: none;
}
#sbi_mod_error{
  border: 1px solid #ddd;
  background: #eee;
  color: #333;
  margin: 0;
  padding: 10px 15px;
  font-size: 13px;

  -moz-border-radius: 4px;
  -webkit-border-radius: 4px;
  border-radius: 4px;
}
#sbi_mod_error p{
  padding: 5px 0 !important;
  margin: 0 !important;
  line-height: 1.3 !important;
}
#sbi_mod_error ol,
#sbi_mod_error ul{
  padding: 5px 0 5px 20px !important;
  margin: 0 !important;
}
#sbi_mod_error li{
  padding: 1px 0 !important;
  margin: 0 !important;
}
#sbi_mod_error span{
  font-size: 12px;
}


/* Media queries */
@media all and (max-width: 768px){
    #sb_instagram.sbi_col_6 #sbi_images .sbi_item {
      width: 33.333%;
    }
}



/**Left column**/
.tea-left-instagram #sb_instagram .sbi_photo {
  display: block;
  text-decoration: none;
}
.panel-grid.tea-left-instagram .widget-title {
    font-size: 1.3em;
    padding-left: 0;
}

/**End Left Column**/
